Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractTariffDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractTariffDAO

public class ContractTariffDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffDAO(User user, String billingId)`
  `ContractTariffDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateContractOption(int contractId, int optionId, int modeId, boolean web)`
  `List<IdTitle>`
  `activateModeList(int contractId, int optionId)`
  `void`
  `addTariffPlan(int contractId, int tariffId, int position)`
  `List<IdTitle>`
  `contractAvailableOptionList(int contractId)`
  Возвращает список доступных тарифных опций.
  `List<ContractPersonalTariff>`
  `contractPersonalTariffList(int contractId)`
  Возвращает список персональных тарифов договора.
  `List<ContractTariffGroup>`
  `contractTariffGroupList(int contractId)`
  Deprecated.
  `List<ContractTariff>`
  `contractTariffList(int contractId)`
  Возвращает список тарифов договора.
  `List<ContractTariffOption>`
  `contractTariffOptionHistory(int contractId)`
  Возвращает историю тарифных опций на договоре.
  `List<ContractTariffOption>`
  `contractTariffOptionList(int contractId)`
  Возвращает список тарифных опций договора.
  `void`
  `deactivateContractOption(int contractId, int id)`
  Деактивирует тарифную опцию на договоре.
  `void`
  `deleteContractPersonalTariff(int contractId, int id)`
  `void`
  `deleteContractTariffGroup(int tariffId)`
  `void`
  `deleteContractTariffPlan(int contractId, int id)`
  Удаляет тариф договора.
  `ContractTariffGroup`
  `getContractTariffGroup(int id)`
  Deprecated.
  `ContractTariff`
  `getContractTariffPlan(int id, int moduleId, int contractId, boolean useFilter, boolean showUsed, boolean contractGroupFilter, List<IdTitle> tariffList)`
  Возвращает тарифный план договора и заполняет справочник доступных тарифов.
  `ContractTariff`
  `getContractTariffPlan(int id, int moduleId, int contractId, boolean useFilter, boolean showUsed, List<IdTitle> tariffList)`
  Deprecated.
  `ContractPersonalTariff`
  `getPersonalTariff(int id)`
  Возвращает персональный тариф договора.
  `void`
  `reactivateContractOption(int contractId, int id)`
  `void`
  `setTariffPlan(int contractId, int tariffId)`
  `void`
  `updateContractPersonalTariff(int contractId, int tariffId, String title, int position, String dateFrom, String dateTo)`
  `void`
  `updateContractTariffGroup(int contractId, int id, int tariffGroupId, String dateFrom, String dateTo, String comment)`
  Deprecated.
  `void`
  `updateContractTariffGroup(int id, int contractId, int tariffGroupId, Date dateFrom, Date dateTo, String comment)`
  Deprecated.
  `void`
  `updateContractTariffPlan(int contractId, int id, int tpid, int position, String dateFrom, String dateTo, String comment)`
  Изменяет либо добавляет тариф договора.

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffDAO

    public ContractTariffDAO(User user, String billingId)

  - ### ContractTariffDAO

    public ContractTariffDAO(User user, DBInfo dbInfo)

- ## Method Details

  - ### addTariffPlan

    public void addTariffPlan(int contractId, int tariffId, int position)

  - ### setTariffPlan

    public void setTariffPlan(int contractId, int tariffId)

  - ### contractTariffList

    public List<ContractTariff> contractTariffList(int contractId)
    Возвращает список тарифов договора.
    Parameters:
      `contractId` -
    Returns:

  - ### getContractTariffPlan

    public ContractTariff getContractTariffPlan(int id, int moduleId, int contractId, boolean useFilter, boolean showUsed, boolean contractGroupFilter, List<IdTitle> tariffList)
    Возвращает тарифный план договора и заполняет справочник доступных тарифов.
    Parameters:
      `id` - код записи, -1 если добавляется новый тариф и необходимы только справочники
      `moduleId` - код экземпляра модуля
      `contractId` - код договора
      `useFilter` - фильтр по договорам для предлагаемых тарифов
      `showUsed` - только используемые тарифы
      `tariffList` - список для загрузки списка тарифов, либо null, если не нужно
    Returns:

  - ### getContractTariffPlan

    @Deprecated public ContractTariff getContractTariffPlan(int id, int moduleId, int contractId, boolean useFilter, boolean showUsed, List<IdTitle> tariffList)
    Deprecated.

  - ### updateContractTariffPlan

    public void updateContractTariffPlan(int contractId, int id, int tpid, int position, String dateFrom, String dateTo, String comment)
    Изменяет либо добавляет тариф договора.
    Parameters:
      `contractId` - код договора
      `id` - код записи с тарифом, -1 для добавления
      `tpid` - код тарифного плана
      `position` - позиция
      `dateFrom` - с даты
      `dateTo` - по дату
      `comment` - комментарий

  - ### deleteContractTariffPlan

    public void deleteContractTariffPlan(int contractId, int id)
    Удаляет тариф договора.
    Parameters:
      `contractId` - код договора
      `id` - код записи с тарифным планом

  - ### contractTariffGroupList

    @Deprecated public List<ContractTariffGroup> contractTariffGroupList(int contractId)
    Deprecated.
    Возвращает список всех групп тарифов на договоре.
    Parameters:
      `contractId` -
    Returns:

  - ### getContractTariffGroup

    @Deprecated public ContractTariffGroup getContractTariffGroup(int id)
    Deprecated.
    Возвращает группу тарифов договора.
    Parameters:
      `id` - код записи.
    Returns:

  - ### updateContractTariffGroup

    @Deprecated public void updateContractTariffGroup(int id, int contractId, int tariffGroupId, Date dateFrom, Date dateTo, String comment)
    Deprecated.
    Изменяет либо добавляет группу тарифов договора.
    Parameters:
      `id` - invalid input: '<'= 0 - добавление группы тарифов, иначе - код изменяемой записи.
      `contractId` - код договора.
      `tariffGroupId` - год группы тарифов.
      `dateFrom` - с даты.
      `dateTo` - по дату.
      `comment` - примечение.

  - ### updateContractTariffGroup

    @Deprecated public void updateContractTariffGroup(int contractId, int id, int tariffGroupId, String dateFrom, String dateTo, String comment)
    Deprecated.

  - ### deleteContractTariffGroup

    public void deleteContractTariffGroup(int tariffId)

  - ### contractTariffOptionList

    public List<ContractTariffOption> contractTariffOptionList(int contractId)
    Возвращает список тарифных опций договора.
    Parameters:
      `contractId` -
    Returns:

  - ### contractTariffOptionHistory

    public List<ContractTariffOption> contractTariffOptionHistory(int contractId)
    Возвращает историю тарифных опций на договоре.
    Parameters:
      `contractId` -
    Returns:

  - ### contractAvailableOptionList

    public List<IdTitle> contractAvailableOptionList(int contractId)
    Возвращает список доступных тарифных опций.
    Parameters:
      `contractId` -
    Returns:

  - ### activateModeList

    public List<IdTitle> activateModeList(int contractId, int optionId)

  - ### activateContractOption

    public void activateContractOption(int contractId, int optionId, int modeId, boolean web)

  - ### reactivateContractOption

    public void reactivateContractOption(int contractId, int id)

  - ### deactivateContractOption

    public void deactivateContractOption(int contractId, int id)
    Деактивирует тарифную опцию на договоре.
    Parameters:
      `contractId` -
      `id` -

  - ### contractPersonalTariffList

    public List<ContractPersonalTariff> contractPersonalTariffList(int contractId)
    Возвращает список персональных тарифов договора.
    Parameters:
      `contractId` -
    Returns:

  - ### getPersonalTariff

    public ContractPersonalTariff getPersonalTariff(int id)
    Возвращает персональный тариф договора.
    Parameters:
      `id` -
    Returns:

  - ### deleteContractPersonalTariff

    public void deleteContractPersonalTariff(int contractId, int id)

  - ### updateContractPersonalTariff

    public void updateContractPersonalTariff(int contractId, int tariffId, String title, int position, String dateFrom, String dateTo)